Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceOther

Create a webhook endpoint

POST
/v1/webhooks/endpoints

Receive events at an HTTPS URL, signed per Standard Webhooks (webhook-id, webhook-timestamp, webhook-signature). Returns the whsec_ signing secret once.

Authorization

bearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/webhooks/endpoints" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "event_types": [      "call.completed"    ]  }'
{  "object": "webhook_endpoint",  "id": "string",  "url": "http://example.com",  "description": "string",  "event_types": [    "call.completed"  ],  "enabled": true,  "status": "active",  "disabled_reason": "string",  "secrets": [    {      "id": "string",      "prefix": "string",      "created_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z"    }  ],  "health": {    "deliveries": 0,    "failures": 0,    "consecutive_failures": 0,    "last_success_at": "2019-08-24T14:15:22Z",    "last_failure_at": "2019-08-24T14:15:22Z",    "failing_since": "2019-08-24T14:15:22Z",    "last_error": "string"  },  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "secret": "string"}